<?php

/**
 * @version $Id: 1.0
 * @package Sigsiu Online Business Index 2
 * @authorName Sigrid & Radek Suski, Sigsiu.NET
 *
 * @based on: plug_sobi2 from Derek Fernandes - www.mein-neuruppin.de, www.meine-prignitz.de
 * Derek Fernandes, Web Media Online
 *
 * @authorEmail info@sigsiu.net
 * @authorUrl http://www.sigsiu.net
 * @copyright Copyright (C) 2007 Sigsiu.NET (http://www.sigsiu.net). All rights reserved.
 * @license see http://www.gnu.org/copyleft/gpl.html GNU/GPL.
 * SOBI2 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation.
 * sobi2.php 2-Jan-2007 Radek Suski
 */

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

class getsobi2reviewsTab extends cbTabHandler {


	function getsobi2reviewsTab() {
		$this->cbTabHandler();
	}

	function _getLanguageFile() {
		global $mainframe,$mosConfig_lang;
		$UElanguagePath=$mainframe->getCfg( 'absolute_path' ).'/components/com_comprofiler/plugin/user/plug_cbsobi2reviews';
		if (file_exists($UElanguagePath.'/language/'.$mosConfig_lang.'.php')) {
		  include_once($UElanguagePath.'/language/'.$mosConfig_lang.'.php');
		} else include_once($UElanguagePath.'/language/english.php');
	}

	function getValueFromDB($sobi2Section, $configKey) {
	    	global $database;
	    	$query = "SELECT `configValue` FROM `#__sobi2_config` " .
	    			 "WHERE (`configKey` = '{$configKey}' " .
	    			 "AND `sobi2Section` = '{$sobi2Section}')";
	    	$database->setQuery( $query );
	    	$return  = $database->loadResult();
		if ($database->getErrorNum()){
			echo $database->stderr();
		}
		else{
			return $return;
		}
    	}

	function getDisplayTab($tab,$user,$ui) {
		global $database,$my,$mainframe,$mosConfig_live_site;
		$this->_getLanguageFile();
		$return = null;
		$params = $this->params;

		$is_sobi2reviews_plug_enabled = $params->get('hwPlugEnabled', "1");

		$sobi2reviews_tab_message = $params->get('hwTabMessage', "");

		if ($is_sobi2reviews_plug_enabled != "0") {
			$mainframe->addCustomHeadTag("<link href=\"{$mosConfig_live_site}/components/com_comprofiler/plugin/user/plug_cbsobi2reviews/sobi2reviews_cb.css\" rel=\"stylesheet\" type=\"text/css\" />");
			if($tab->description == null) {
				$tabdescription = "Please enter a descritpion under community builder -> tab manager";
			}
			else{
				$tabdescription = $tab->description;
			}
			// html content is allowed in descriptions
			$return .= "\t\t<div class=\"tab_Description\">". $tabdescription. "</div>\n";

			// get configuration settings from SOBI2 table
			$allowUserToEditEntry = $this->getValueFromDB("general", "allowUserToEditEntry");
			$allowUserDelete = $this->getValueFromDB("general", "allowUserDelete");

			// get sobi2 itemid
			$query = "SELECT `id` FROM `#__menu` WHERE `link` LIKE '%index.php?option=com_sobi2%' AND `type` = 'components' AND `published` = '1' LIMIT 1";
			$database->setQuery( $query );
			$S_Itemid = $database->loadResult();
			if(!$S_Itemid)
				$S_Itemid = 999999;//jca set the menu itemid of Sobi to avoid disturb with sh404sef

 
			$query = "SELECT `revid`, `title`, `itemid`, `review`, `added` FROM `#__sobi2_plugin_reviews` WHERE `userid` = $user->id and `published` = 1 ORDER BY `revid` DESC LIMIT 0,15 ";
			$database->setQuery( $query );
			$resutlts = $database->loadObjectList();
			
			//build top table - titles
			$return .= "\n\t<table  class='Sobi2reviewsCBTabTable'>";//
			$return .= "\n\t\t<tr class='sectiontableheader'>";
			$return .= "\n\t\t\t<th class='Sobi2reviewsCBTabTableDate'>";//
			$return .= "\n\t\t\t\t" . _SOBI2_DATE_CBP;
			$return .= "\n\t\t\t</th>";

			$return .= "\n\t\t\t<th class='Sobi2reviewsCBTabTableTitle'>";//
			$return .= "\n\t\t\t\t" . _SOBI2_TITLE_CBP;
			$return .= "\n\t\t\t</th>";
			
			$return .= "\n\t\t\t<th class='Sobi2reviewsCBTabTableComment'>";//
			$return .= "\n\t\t\t\t" . _SOBI2_COMMENT_CBP;
			$return .= "\n\t\t\t</th>";			
			
			$return .= "\n\t\t</tr>";

			$entryCount = 0;
			if(count($resutlts)) {//
				foreach($resutlts as $resutlt) {//
					$entryCount++;
					// change added date to day-month-year format
					$addedddate = $resutlt->added;
					$pf_time = strtotime($addedddate);
					$pf_date = date("d-m-Y", $pf_time);
					
					$CSSClass = $entryCount%2 ? "row0" : "row1";
					$return .= "\n\t\t<tr class='{$CSSClass}'>";
					$return .= "\n\t\t\t<td class='Sobi2reviewsCBTabTableDate'>";
					$return .= "\n\t\t\t\t <strong>{$pf_date}</strong>";
					$return .= "\n\t\t\t</td>";
					$url = "index.php?option=com_sobi2&amp;sobi2Task=sobi2Details&amp;sobi2Id={$resutlt->itemid}&amp;Itemid={$S_Itemid}";
					$url = sefRelToAbs($url);
						$return .= "\n\t\t\t</td>";
					
					$return .= "\n\t\t\t<td class='Sobi2reviewsCBTabTableTitle'>";
					$return .= "\n\t\t\t\t <strong><a href='{$url}'>{$resutlt->title}</a></strong>";
					$return .= "\n\t\t\t</td>";
					
					$return .= "\n\t\t\t<td class='Sobi2reviewsCBTabTableComment'>";
					$return .= "\n\t\t\t\t {$resutlt->review}";
					$return .= "\n\t\t\t</td>";

				}}
				$return .= "\n\t\t</tr>";
			}
			else {
				// display no listings
				$return .= _SOBI2_NO_LISTING_CBP;
			}
			$return .="</table>";

		// generate output
		$return .= "\t\t<div>\n<p>". htmlspecialchars($sobi2_tab_message). "</p></div>\n";
		return $return;
	} // end or getDisplayTab function
} // end of getsobi2reviewsTab class
?>
